SYSTEM WARNING: 'date_default_timezone_get(): It is not safe to rely on the system's timezone settings. You are *required* to use the date.timezone setting or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected the timezone 'UTC' for now, but please set date.timezone to select your timezone.' in '/usr/share/mantis/www/core.php' line 264

0000288: uplinks do not fail over .. - MantisBT Endian Bugtracker
Endian Issue Tracker





Please see now our new Bugtracker system: JIRA








View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000288Endian FirewallNetwork related (VPN, uplinks)public2007-10-31 11:282008-02-02 07:28
Reporterclubbing80s 
Assigned Tora-endian 
PriorityimmediateSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.2-beta1 
Target Version2.2-beta3Fixed in Version2.2-beta3 
Summary0000288: uplinks do not fail over ..
DescriptionHi
I have installed Endian Firewall 2.2 on a Ibase FWA9206 network appliance.
efw does not detect that the network cables have been unplugged thus the fail over does not work... Also noted is that when the nic cables are removed the link light stays on until reboot. only after reboot does efw see the status of the uplinks correctly ...

I checked in the /var/efw/uplink/(uplinkname)/ and both had the "active" file containing the date stamp .. even though one was unplugged

when I check the links with ethtool I get the correct results ... interface/s with a connection return Yes and those without return no .. so ethtool is detecting the interfaces correcly :-)

Many Thanks



 
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000613)
peter-endian (administrator)
2007-10-31 11:58

can you check if ifplugd is running?
ps aux | grep ifplugd

and the uplinksdaemon?
ps aux | grep uplinksdaemon

the ifplugd recognizes if the cable has been plugged/unplugged and sends a signal to the uplinksdaemon

the variable INTERFACES in /etc/ifplugd/ifplugd.conf should have defined your uplink interfaces.

The uplinksdaemon checks all it's uplinks cyclically all 30 seconds and considers one DEAD if it cannot ping some targets through it.
If the ifplugd does not trigger the uplinksdaemon, he should recognize it dead after the next uplinksdaemon cycle and failover after the next cycle.

(0000615)
clubbing80s (reporter)
2007-10-31 12:39

ps aux | grep ifplugd returns the following
root 13387 0.0 0.0 4628 684 pts/0 S+ 13:19 0:00 grep ifplugd

ps aux | grep uplinksdaemon returns
root 3562 0.0 0.0 58552 3312 ? Sl 11:41 0:04 /usr/bin/python /usr/bin/uplinksdaemon --logfile=/var/log/uplinksdaemon --boot

root@test:/tmp # cat /etc/ifplugd/ifplugd.conf
INTERFACES="eth5 eth2 "
ARGS="-fwI -u0 -d0 "

a problem maybe with this file as my uplinks are in port eth2 and eth3, but even if i unplug eth2 it still does not display the device as down

Should you like to have access to the box let me know .
(0000616)
clubbing80s (reporter)
2007-10-31 13:54

ok i rebooted and it corrected
root@test:~ # cat /etc/ifplugd/ifplugd.conf
INTERFACES="eth3 eth2 "
ARGS="-fwI -u0 -d0 "

but still broken
(0000617)
peter-endian (administrator)
2007-10-31 14:28

seems that the ifplugd will not be started, so it can't notify the uplinksdaemon of the cable unplug

but nevertheless, without ifplugd it should do the failover after 1-2 minutes.
(0000619)
clubbing80s (reporter)
2007-11-01 10:17

sorry nope .. does not fail over .. I kept checking every 5 min for and hour .. some thing funny here ..
(0000620)
clubbing80s (reporter)
2007-11-01 11:50

I just had a problem where it failed over to an interface that didn't have a cable connected and stayed there until I deleted the 2nd uplink , then it fixed it's self after a couple of minutes ..
(0000858)
ra-endian (administrator)
2008-01-28 14:43

the ifplugd daemon is missing the beta 2 release. This bug has fixen in the beta 3.

- Issue History
Date Modified Username Field Change
2007-10-31 11:28 clubbing80s New Issue
2007-10-31 11:58 peter-endian Note Added: 0000613
2007-10-31 11:58 peter-endian Status new => feedback
2007-10-31 12:39 clubbing80s Note Added: 0000615
2007-10-31 13:54 clubbing80s Note Added: 0000616
2007-10-31 14:28 peter-endian Note Added: 0000617
2007-11-01 10:17 clubbing80s Note Added: 0000619
2007-11-01 11:50 clubbing80s Note Added: 0000620
2007-11-28 15:31 raphael-endian Priority normal => immediate
2008-01-09 20:07 peter-endian Target Version => 2.2-beta3
2008-01-28 14:33 ra-endian Status feedback => assigned
2008-01-28 14:33 ra-endian Assigned To => ra-endian
2008-01-28 14:43 ra-endian Status assigned => resolved
2008-01-28 14:43 ra-endian Fixed in Version => 2.2-beta3
2008-01-28 14:43 ra-endian Resolution open => fixed
2008-01-28 14:43 ra-endian Note Added: 0000858
2008-02-02 07:28 raphael-endian Status resolved => closed

Copyright © 2005-2008 Endian, SRL. All rights reserved.


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker